Lavalite package that provides shopping management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `vnext/shopping`.

    "vnext/shopping": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Vnext\Shopping\Providers\ShoppingServiceProvider::class,

And also add it to alias

    'Shopping'  => Vnext\Shopping\Facades\Shopping::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Vnext\\ShoppingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Vnext\Shopping\Providers\ShoppingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Vnext\Shopping\Providers\ShoppingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Vnext\Shopping\Providers\ShoppingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/shopping/{modulename}

**User**

    http://path-to-route-folder/user/shopping/{modulename}

**Public**

    http://path-to-route-folder/shoppings


### API endpoints

**List**

    http://path-to-route-folder/api/user/shopping/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/shopping/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/shopping/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/shopping/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/shopping/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/shopping/{modulename}/{slug}
    METHOD: GET